import * as T from '@/store/utils/types'
import * as L from '../../../utils/localStorageKeys'

export default {
  [T.ESHOP_SET_CV_TRANSFER_LIST](state, details) {
    state.cvTransferList = details
    sessionStorage.setItem(L.ESHOP_CV_TRANSFER_LIST, JSON.stringify(details))
  },
  [T.CLEAR_LOADED_DATA](state, type) {
    if (type === 'cv-wallet' || !type) {
      state.cvTransferList = []
      sessionStorage.removeItem(L.ESHOP_CV_TRANSFER_LIST)
    }
  },
}
